/* 
    Copyright (C) 2004  Mika Raento - Renaud Petit

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


    email: mraento@cs.helsinki.fi - petit@cs.helsinki.fi 
*/


#ifndef CL_KEYCAPTURE_H_INCLUDED
#define CL_KEYCAPTURE_H_INCLUDED 1

#include <e32base.h>
#include "app_context.h"

struct TKeycaptureArgs {
	TInt		iParentWg;
	TRequestStatus	*iKeyStatus;
	MApp_context	*iAppContext; // for call stack error reporting
	TKeycaptureArgs() : iParentWg(0), iKeyStatus(0), iAppContext(0) { }
};

TInt start_keycapture(TAny* aPtr);

void exceptionhandler(TExcType);

#endif
