/* 
    Copyright (C) 2004  Mika Raento - Renaud Petit

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


    email: mraento@cs.helsinki.fi - petit@cs.helsinki.fi 
*/


#ifndef CL_SETTINGS_H_INCLUDED
#define CL_SETTINGS_H_INCLUDED 1

// don't use 'IAP', since there is
// a macro with that name in cdbcols.h

#define SETTING_WAP_AP	1
#define SETTING_PHONENO 2
#define SETTING_IP_AP   3
#define SETTING_LAST_COMMLOG_UPLOAD 4
#define SETTING_CELLMAP_CLOSED 5
#define SETTING_BASEDB_VERSION 6
#define SETTING_JABBER_NICK 7
#define SETTING_JABBER_PASS 8
#define SETTING_PRESENCE_ENABLE 9
#define SETTING_LAST_BASE_STAMP 10
#define SETTING_PICTURE_ENABLE 11
#define SETTING_UPLOAD_URLBASE 12
#define SETTING_PREV_BASE 13
#define SETTING_PREV_BASE_STAMP 14
#define SETTING_UPLOAD_TAG 15
#define SETTING_OPTIONS_ENABLE 16
#define SETTING_DELETE_UPLOADED	17
#define SETTING_LOGGING_ENABLE	18

#define MAX_ADDRESS_LEN 30
#define MAX_URL_LEN	100

#define DEFAULT_UPLOAD_URLBASE	_S("http://db.cs.helsinki.fi/~mraento/cgi-bin/")

#endif
